import { NotificationConfig, NotificationOption } from '../notification/notification/notification-config';
import { AtMessageContainerService } from './at-message-container.service';
export declare class AtMessageService {
    private message_container_service;
    constructor(message_container_service: AtMessageContainerService);
    success(options?: NotificationOption): NotificationConfig;
    info(options?: NotificationOption): NotificationConfig;
    show(options?: NotificationOption): NotificationConfig;
    warning(options?: NotificationOption): NotificationConfig;
    error(options?: NotificationOption): NotificationConfig;
    loading(options?: NotificationOption): NotificationConfig;
    remove(messageId: string): void;
}
